Skip to content
GET /unified/hris/employments/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

idstring
required·

The unique identifier for employments

8 supported
AlexisHR
supported
Charlie
supported
HiBob
supported
HR Cloud
supported
Humaans
supported
IntelliHR
supported
Lucca
supported
ServiceNow
supported
created_atstring · date-time

This represents the date when the employments was created

6 supported
AlexisHR
supported
HiBob
supported
Humaans
supported
IntelliHR
supported
Lucca
supported
ServiceNow
supported
effective_datestring · date-time

Represents the effective date of the employment

8 supported
AlexisHR
supported
Charlie
supported
HiBob
supported
HR Cloud
supported
Humaans
supported
IntelliHR
supported
Lucca
supported
ServiceNow
supported
employeeobject

Employee associated with this employment

References: Employees → id
8 supported
AlexisHR
supported
Charlie
supported
HiBob
supported
HR Cloud
supported
Humaans
supported
IntelliHR
supported
Lucca
supported
ServiceNow
supported
idstring

The unique identifier for employees

namestring

The name of the employee

employment_typestring

This represents the employment type

Possible values:
full_timepart_timecontractinternshiptemporarytraineevolunteerper_diem
4 supported
Charlie
supported
HiBob
supported
IntelliHR
supported
ServiceNow
supported
end_datestring · date-time

Represents the end date of the employment

7 supported
AlexisHR
supported
HiBob
supported
HR Cloud
supported
Humaans
supported
IntelliHR
supported
Lucca
supported
ServiceNow
supported
end_reasonstring

Represents why the employment ended

3 supported
AlexisHR
supported
HiBob
supported
IntelliHR
supported
flsa_statusstring

This represents the flsa status

job_titlestring

Job title of the employee

6 supported
Charlie
supported
HiBob
supported
HR Cloud
supported
Humaans
supported
IntelliHR
supported
ServiceNow
supported
pay_currencystring

This represents the pay currency

4 supported
Charlie
supported
HiBob
supported
HR Cloud
supported
IntelliHR
supported
pay_frequencystring

This represents the pay frequency

4 supported
Charlie
supported
HiBob
supported
HR Cloud
supported
IntelliHR
supported
pay_groupstring

This represents the pay group

References: PayGroups → id
pay_periodstring

This represents the pay period

2 supported
Charlie
supported
HiBob
supported
pay_ratenumber

This represents the pay rate

4 supported
Charlie
supported
HiBob
supported
HR Cloud
supported
IntelliHR
supported
remote_dataRecord<string, any>

Raw data returned from the remote API call.

updated_atstring · date-time

This represents the date when the employments was updated

5 supported
AlexisHR
supported
HR Cloud
supported
Humaans
supported
Lucca
supported
ServiceNow
supported
curl -X GET 'https://api.truto.one/unified/hris/employments/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/hris/employments/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/hris/employments/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.get(
  'hris',
  'employments',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.get(
        "hris",
        "employments",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())